# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/1/9
import datetime
import os
import sys
import time

sys.path.append(os.getcwd())
from main.ganggangdouchuan import Recommend
from main.ganggangdouchuan_common import Common


class Main:
    @classmethod
    def main(cls, log_type, crawler, oss_endpoint, env, job):
        """
        主函数
        :param log_type: log 类型
        :param crawler: 哪款爬虫
        :param oss_endpoint: 阿里云服务器选择：inner ； 其它机器选择：out
        :param env: 测试环境：dev ； 正式环境：prod
        :param job: 榜单类型，如 recommend / follow
        :return: None
        """
        while True:
            if 23 >= datetime.datetime.now().hour >= 8:
            # if 11 >= datetime.datetime.now().hour >= 8:
                Common.logger(log_type).info('开始抓取"刚刚都传"小程序')
                Recommend.start_wechat(log_type, crawler, oss_endpoint, env, job)
                Common.del_logs(log_type)
                Recommend.i = 0
                time.sleep(10)
            else:
                pass


if __name__ == '__main__':
    Main.main('recommend', 'ggdc', 'out', 'prod', 'recommend')